<template>
  <div class="all">
    <br />
    <img :src="img" alt="check" class="checkimg" />
    <p class="text">
      Thank you,Your order has been placed.
    </p>

    <p class="random">
      Your order id: <span class="orderid">{{ storeval }} </span>
    </p>
    <p>
      Our Team Will Contact you Shortly
    </p>

    <p>
      Please Notice Your Order Id for further Communication,If you have any
      query Feel free to call <br />
      8680006606-Prakash
    </p>
  </div>
</template>
<script type="text/javascript" src="https://smtpjs.com/v3/smtp.js"></script>
<script>
export default {
  data() {
    return {
      img: require("../assets/check.gif"),

      storeval: null,
    };
  },
  methods: {
    mailNotification() {
      Email.send({
        SecureToken: "fc30469b-4b5c-4991-87a4-33359c8f07cf",
        To: "mithunkrish14@gmail.com",
        From: "universalpyro2021@gmail.comm",
        Subject: "New Order",
        Body: "<h1>OrderId:</h1>" + this.$store.state.usernumber,
      });
    },
  },
  mounted() {
    this.storeval = this.$store.state.usernumber;
    if (document.getElementById("my-datatable")) return; // was already loaded
    var scriptTag = document.createElement("script");
    scriptTag.src = "https://smtpjs.com/v3/smtp.js";
    scriptTag.id = "my-datatable";
    document.getElementsByTagName("head")[0].appendChild(scriptTag);
    setTimeout(() => {
      this.mailNotification();
    }, 500);
  },
};
</script>
<style scoped>
.all {
  padding-top: 42px;
  margin: 1rem auto;
  text-align: center;
  border: 5px solid #4e0321;
  border-radius: 12px 0 12px 0;
  width: 800px;
}
.checkimg {
  width: 70px;
  height: 70px;
}
.text {
  font-size: 40px;
  font-family: Arial, Helvetica, sans-serif;
}
.random {
  color: #42b983;
  font-size: 25px;
  font-family: Arial, Helvetica, sans-serif;
  font-weight: bold;
}
.orderid {
  color: black;
  font-size: 25px;
  font-family: Arial, Helvetica, sans-serif;
  font-weight: bold;
}
</style>
